petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecGetBlockSize

Gets the blocksize for the vector, i.e. what is used for VecSetValuesBlocked() and VecSetValuesBlockedLocal().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetBlockSize(Vec v,PetscInt *bs)

Not Collective

### Input Parameter

v -the vector

### Output Parameter

bs -the blocksize

### Notes

All vectors obtained by VecDuplicate() inherit the same blocksize.

### See Also

VecSetValuesBlocked(), VecSetLocalToGlobalMapping(), VecSetBlockSize()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/dm/examples/tutorials/swarm_ex3.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex71.c.html
src/ksp/ksp/examples/tutorials/ex73.c.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages